curl --request GET \
--url https://api.baselayer.com/criminal_checks/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/criminal_checks/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/criminal_checks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "95853639-eb23-4329-9b92-ddca3eabaaba",
"created_at": "2026-08-31T10:31:07.766137",
"first_name": "John",
"last_name": "Smith",
"date_of_birth": "1990-01-15",
"ssn": "XXXXX1234",
"check_type": "instant_criminal",
"results": [
{
"category": "arrest",
"person": {
"addresses": [
{
"city": "Anytown",
"state": "CA",
"street": "123 Main St",
"zip": "12345"
}
],
"date_of_birth": "1990-01-15",
"date_precision": "FULL",
"doc_number": "1234567890",
"ethnicity": "Hispanic-American",
"eye_color": "HAZ",
"first_name": "John",
"gender": "M",
"hair_color": "BRN",
"height": "601",
"last_name": "Smith",
"middle_name": "Michael",
"name_aliases": [
"Mohn Jichael Smith"
],
"race": "W",
"weight": "180"
},
"source": {
"category": "arrest",
"name": "KY Franklin County Inmates",
"county": "Franklin",
"county_fips_code": "17031",
"state": "CA"
},
"cases": [
{
"case_number": "2025-99999",
"type": "<string>",
"status": "<string>",
"file_date": "2025-01-01",
"file_date_precision": "FULL",
"arresting_agency": "Franklin County Sheriff",
"arrest_date": "2025-01-01",
"arrest_date_precision": "FULL",
"court_name": "Franklin County Circuit Court",
"court_county": "Franklin",
"identity_match_confidence_level": "high",
"charges": [
{
"description": "SHOPLIFTING",
"offense_date": "2025-01-01",
"offense_date_precision": "ONLY_YEAR",
"legal_code": "433.234",
"type": "felony",
"category": "Criminal Intent",
"subcategory": "Accessory",
"subsubcategory": "SHOPLIFTING",
"record_date": "2025-01-01",
"record_date_precision": "ONLY_YEAR",
"city": "Indian Hills",
"county": "Jefferson",
"state": "CA",
"sentences": [
{
"conviction_date": "2025-01-01",
"conviction_date_precision": "FULL",
"details": "fine, 1D"
}
],
"dispositions": [
{
"disposition_type": "Conviction",
"disposition": "GLT",
"disposition_date": "2025-01-01",
"disposition_date_precision": "FULL"
}
]
}
]
}
]
}
],
"updated_at": "2026-08-31T10:31:07.766150",
"middle_name": "Mary Louise",
"phone_number": "+14155552671",
"email": "john.doe@example.com",
"primary_address": {
"city": "Anytown",
"state": "CA",
"street": "123 Main St",
"zip": "12345"
},
"additional_addresses": [
{
"city": "Anytown",
"state": "CA",
"street": "456 Test Blvd",
"zip": "12345"
}
],
"reference_id": "Check1234"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Criminal Check
Get a criminal check by ID.
Authorizations
Path Parameters
Response
Successful Response
The unique identifier of the criminal check.
"95853639-eb23-4329-9b92-ddca3eabaaba"
The date and time when the criminal check was created.
"2026-08-31T10:31:07.766137"
The first name of the person.
"John"
The last name of the person.
"Smith"
The date of birth of the person.
"1990-01-15"
The social security number of the person, masked up to the final four digits
"XXXXX1234"
The type of criminal check that was run.
instant_criminal, sex_offender_registry "instant_criminal"
Array of criminal records; empty when none are found.
Show child attributes
Show child attributes
The date and time when the criminal check was last updated.
"2026-08-31T10:31:07.766150"
The middle name of the person.
"Mary Louise"
The phone number of the person in E.164 format.
"+14155552671"
The email address of the person.
"john.doe@example.com"
The primary address of the person.
Show child attributes
Show child attributes
{
"city": "Anytown",
"state": "CA",
"street": "123 Main St",
"zip": "12345"
}
A list of additional addresses of the person.
Show child attributes
Show child attributes
[
{
"city": "Anytown",
"state": "CA",
"street": "456 Test Blvd",
"zip": "12345"
}
]
The reference ID associated with this request.
64"Check1234"